GNU bug report logs - #36222
26.1; Message sent even with invalid S/MIME password

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>; dated Sat, 15 Jun 2019 09:23:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36222 <at> debbugs.gnu.org:


Received: (at 36222) by debbugs.gnu.org; 18 Oct 2019 03:39:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 23:39:50 2019
Received: from localhost ([127.0.0.1]:49135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLJ7G-0003EJ-13
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:39:50 -0400
Received: from [80.91.231.51] (port=43028 helo=quimby.gnus.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iLJ7E-0003EA-7h
 for 36222 <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:39:48 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iLJ78-0000Ka-Cc; Fri, 18 Oct 2019 05:39:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>
Subject: Re: bug#36222: 26.1; Message sent even with invalid S/MIME password
References: <87tvcrgq4y.fsf@HIDDEN> <87woe0rofa.fsf@HIDDEN>
 <87sgnryqli.fsf@HIDDEN> <871rvalofv.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 05:39:41 +0200
In-Reply-To: <871rvalofv.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 18 Oct 2019 05:31:16 +0200")
Message-ID: <87imomk9he.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I thought I
 needed
 my private key when sending, but apparently not. Hm. Duh. Of course, S/MIME
 encrypts with the public key of the recipient, and uses the private key when
 decrypting. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I thought I
 needed
 my private key when sending, but apparently not. Hm. Duh. Of course, S/MIME
 encrypts with the public key of the recipient, and uses the private key when
 decrypting. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 36222
Cc: "36222 <at> debbugs.gnu.org" <36222 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I thought I needed my private key when sending, but apparently not.  Hm.

Duh.  Of course, S/MIME encrypts with the public key of the recipient,
and uses the private key when decrypting.

So that makes me wonder under what circumstances it asks for a password
when encrypting.  Christophe? 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36222; Package emacs. Full text available.

Message received at 36222 <at> debbugs.gnu.org:


Received: (at 36222) by debbugs.gnu.org; 18 Oct 2019 03:31:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 23:31:22 2019
Received: from localhost ([127.0.0.1]:49122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLIz4-00031w-HD
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:31:22 -0400
Received: from [80.91.231.51] (port=42800 helo=quimby.gnus.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iLIz2-00031o-Jk
 for 36222 <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:31:21 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iLIyy-0000Fe-DK; Fri, 18 Oct 2019 05:31:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>
Subject: Re: bug#36222: 26.1; Message sent even with invalid S/MIME password
References: <87tvcrgq4y.fsf@HIDDEN> <87woe0rofa.fsf@HIDDEN>
 <87sgnryqli.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 05:31:16 +0200
In-Reply-To: <87sgnryqli.fsf@HIDDEN> (Christophe TROESTLER's
 message of "Thu, 17 Oct 2019 22:06:20 +0000")
Message-ID: <871rvalofv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>
 writes:
 >> How do you ask Message to send with S/MIME? Using the `C-c C-m C s' >>
 command? > > Yes. > >> And how do you set up the S/MIME recipient stuff?
 > > My config : > > (setq mml-smime-use 'epg) > (setq [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>
 writes:
 >> How do you ask Message to send with S/MIME? Using the `C-c C-m C s' >>
 command? > > Yes. > >> And how do you set up the S/MIME recipient stuff?
 > > My config : > > (setq mml-smime-use 'epg) > (setq [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 36222
Cc: "36222 <at> debbugs.gnu.org" <36222 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Christophe TROESTLER <Christophe.TROESTLER@HIDDEN> writes:

>> How do you ask Message to send with S/MIME?  Using the `C-c C-m C s'
>> command?
>
> Yes.
>
>> And how do you set up the S/MIME recipient stuff?
>
> My config :
>
> (setq mml-smime-use 'epg)
> (setq mm-decrypt-option 'always)
> (setq mm-verify-option 'always)
> (setq gnus-buttonized-mime-types '("multipart/encrypted" "multipart/signed"))
>
> Then use gpgsm to import your certificate (delivered by a certificate
> authority).

Hm...  when I do this, Message creates a 

 Content-Type: application/pkcs7-mime;
  smime-type=enveloped-data;
  name=smime.p7m

message (without prompting me for a password, which is strange), and
when I decrypt it, I'm then prompted for a password, and then it's
decrypted successfully.

I thought I needed my private key when sending, but apparently not.  Hm.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36222; Package emacs. Full text available.

Message received at 36222 <at> debbugs.gnu.org:


Received: (at 36222) by debbugs.gnu.org; 17 Oct 2019 22:06:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 18:06:31 2019
Received: from localhost ([127.0.0.1]:49042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLDug-0003b0-Or
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 18:06:30 -0400
Received: from mail-eopbgr00067.outbound.protection.outlook.com
 ([40.107.0.67]:61507 helo=EUR02-AM5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Christophe.TROESTLER@HIDDEN>)
 id 1iLDue-0003aj-1g
 for 36222 <at> debbugs.gnu.org; Thu, 17 Oct 2019 18:06:29 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=AvkIpYb7mpr6Tm1CGIPclbIx3ElWwod0KIfzKK8Hyl/uIEaB6GhLGM419YIoCBnNX7ge9KgQVn7m4wf6Ripcgql6zvd5iJEZqsM9Vt8UZEoAgM1pZhUUrfmoaWxt6DeLX46KnUb7ONpcxFMbBD9w9OAQy+Fm0lg4c69/zS0K0H/jlVDSR4xY4tk0LRzj6ZNxSCvriSBdOiDIuW88mVFRx3WWNBTxDnQ/GS5tUDfN3WOlzylCubBa9VUq+rYvRE75dzQD/2YSPPlJOHT+piKTCh+rFwU1ALQpAcm2hsUCjJEH9+9Ueeleimtt8MVwl6n+6/ouXuIguEzB1ztZF/X2yQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Vh86sOCPmTJ6Bwo2pqeZJecLezvq7MvrsiiLf685lV8=;
 b=gHr7uPOitP9hfYmk4budbDmSCrFn4LIaqLjlN4TGc9D4Ymxe5ZzN+OUMAXUJZ6V/KisEVcPymDWqwi8qZCIIFRwrh63vm7eIoUKTA/fYBBWgL0QwYUDf9IyfMmJoCAt2bGewHvL3EAGznuC6yNafWn6IU3g7B8BxQQ1vQINIZeGQBV7FJV1e3uuzuuVg4cw85c4k++DLlOGCP7YiNFqsQWCCGZECQi6/KU0z2CphBIWh5sHxEmhcncE3Axp7nEjwoaupjHOHMG8iBY07jw01bCN5uSwoeHQOo/Rq7CiUOSuVmLGQKHCOkqyMRTSPvtRaYZfAAsYdFJaaIa/41wcCeA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=umons.ac.be; dmarc=pass action=none header.from=umons.ac.be;
 dkim=pass header.d=umons.ac.be; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=alumniumonsac.onmicrosoft.com; s=selector2-alumniumonsac-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Vh86sOCPmTJ6Bwo2pqeZJecLezvq7MvrsiiLf685lV8=;
 b=Y/E+yrq7iV3Pnh0x1QXv57mf94CIfSCK2yQ/acQrzOVkvw1Gz3MURruhzU73ZLPldeCUAQ/hAwKPQ+H8t2fhUb3w0Kv7ySg4EiEg6Yry6zFYeoUY1R0UcgOaDKVTqhuDq0Es6hxOoC5tIWKPKFwEsWE93wRkq3RCkJoQxIgMUYY=
Received: from HE1PR01MB2956.eurprd01.prod.exchangelabs.com (10.170.253.160)
 by HE1PR01MB3772.eurprd01.prod.exchangelabs.com (20.176.167.144) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.2347.16; Thu, 17 Oct
 2019 22:06:20 +0000
Received: from HE1PR01MB2956.eurprd01.prod.exchangelabs.com
 ([fe80::a529:435:893b:54c8]) by HE1PR01MB2956.eurprd01.prod.exchangelabs.com
 ([fe80::a529:435:893b:54c8%5]) with mapi id 15.20.2347.024; Thu, 17 Oct 2019
 22:06:20 +0000
From: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36222: 26.1; Message sent even with invalid S/MIME password
Thread-Topic: bug#36222: 26.1; Message sent even with invalid S/MIME password
Thread-Index: AQHVI1vEhS4ECh/nMkqxoNFff0ueFKc42MEbgCdOuYA=
Date: Thu, 17 Oct 2019 22:06:20 +0000
Message-ID: <87sgnryqli.fsf@HIDDEN>
References: <87tvcrgq4y.fsf@HIDDEN> <87woe0rofa.fsf@HIDDEN>
In-Reply-To: <87woe0rofa.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-originating-ip: [2a02:a03f:445a:7b00:3271:18bc:1a36:61cb]
x-clientproxiedby: PR0P264CA0176.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:100:1c::20) To HE1PR01MB2956.eurprd01.prod.exchangelabs.com
 (2603:10a6:7:1b::32)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=Christophe.TROESTLER@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: c343596f-e7a5-4464-9047-08d7534e3d94
x-ms-traffictypediagnostic: HE1PR01MB3772:|HE1PR01MB3772:
x-ms-exchange-transport-forked: True
x-microsoft-antispam-prvs: <HE1PR01MB37724444EAE337AB3AA12133CE6D0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:1051;
x-forefront-prvs: 01930B2BA8
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(136003)(39860400002)(396003)(376002)(346002)(366004)(189003)(199004)(7736002)(186003)(81156014)(316002)(626008)(6512007)(486006)(786003)(8936002)(81166006)(14454004)(71200400001)(71190400001)(8676002)(6116002)(6246003)(66556008)(66616009)(66446008)(66946007)(86362001)(46003)(66476007)(64756008)(11346002)(476003)(446003)(305945005)(52116002)(229853002)(4326008)(14444005)(99286004)(478600001)(25786009)(102836004)(4744005)(6916009)(6436002)(99936001)(2906002)(256004)(76176011)(53546011)(6486002)(6506007)(15650500001)(5660300002)(386003);
 DIR:OUT; SFP:1101; SCL:1; SRVR:HE1PR01MB3772;
 H:HE1PR01MB2956.eurprd01.prod.exchangelabs.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:0; 
received-spf: None (protection.outlook.com: umons.ac.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: R6bhrPexUymGXQer2eEab1a3BJaU1TEZyvrsleQtatuTDulPhWmDu+g2tOiYfX+yv0gUfpyaRm5z7Ip/1pQ0GKO53qf4265xlfzbetLHqmgh41SPadndG53aGj8phOaQa91cLRKqVTwvW8kzm9ou/KmqNhn4tjE7woTTvV9Q0zABDqIkzAYWK0KrfeVLCyyup7t5cOXGh/OpVTCvXBthC8nhgcbZ/8H0kHHjZFMAQldw1bro5dCkgIlDIhf2fMEAE265b5rV3ab2Rmw7HZpJmw6+mobAsgS9miK86VMhIALJfzooc2wL+rMaeg7MBjUkUqAQMTfvRoprTGmw8lkQ+iVbMfpUzaAzi7Z/QTfxB5lqk/gzpQ0fFkjcU+QgHl5Zx8LPtiTZ51McJFvQ6os0qOcQ6YfgfGwkY+RlBIDjO3I=
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=sha256; protocol="application/pkcs7-signature"
MIME-Version: 1.0
X-OriginatorOrg: umons.ac.be
X-MS-Exchange-CrossTenant-Network-Message-Id: c343596f-e7a5-4464-9047-08d7534e3d94
X-MS-Exchange-CrossTenant-originalarrivaltime: 17 Oct 2019 22:06:20.3694 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 488bed9d-d6a7-48d5-ba1f-ebec3823b357
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: TDNZvVu4ffVTmdrf+Edf0lbndowoiFhFIKFw7Ta98uxig0zlaJQDzsNj+7yIsTbV7X9cmpe5QNyAmwFUtrQXEw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: HE1PR01MB3772
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36222
Cc: "36222 <at> debbugs.gnu.org" <36222 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi,

I apologize for the delay in replying.

On 22 September 2019 at 23:50 CEST, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> I'm not very familiar with how S/MIME works.
>
> How do you ask Message to send with S/MIME?  Using the `C-c C-m C s'
> command?

Yes.

> And how do you set up the S/MIME recipient stuff?

My config :

(setq mml-smime-use 'epg)
(setq mm-decrypt-option 'always)
(setq mm-verify-option 'always)
(setq gnus-buttonized-mime-types '("multipart/encrypted" "multipart/signed"))

Then use gpgsm to import your certificate (delivered by a certificate authority).

Hope it helps.

Best,
C.

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s

MIAGCSqGSIb3DQEHAqCAMIACAQExDzANBglghkgBZQMEAgEFADCABgkqhkiG9w0BBwEAAKCCCl0w
ggUAMIID6KADAgECAhADS+4XH7fhBjcv1HJCQL0qMA0GCSqGSIb3DQEBCwUAMGUxCzAJBgNVBAYT
AlVTMRUwEwYDVQQKEwxEaWdpQ2VydCBJbmMxGTAXBgNVBAsTEHd3dy5kaWdpY2VydC5jb20xJDAi
BgNVBAMTG0RpZ2lDZXJ0IEFzc3VyZWQgSUQgUm9vdCBDQTAeFw0xNDExMTgxMjAwMDBaFw0yNDEx
MTgxMjAwMDBaMGkxCzAJBgNVBAYTAk5MMRYwFAYDVQQIEw1Ob29yZC1Ib2xsYW5kMRIwEAYDVQQH
EwlBbXN0ZXJkYW0xDzANBgNVBAoTBlRFUkVOQTEdMBsGA1UEAxMUVEVSRU5BIFBlcnNvbmFsIENB
IDMwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDGpbsfVYL0pTRyFHJlm1/V6qBo2JuC
iU9TYpx7jM4O2tQyDq8bjMum69vg6wM0lMGHflMgqB75GxeKfQFmEldoXi2cLishqFUvU2cJeM3S
aRsLk2BsuCgTzh9NsYgmrUX60KHOq7eYKVZxbPFWJF2nMOBuMXNu2qBXTGSLeLXHnNvG3r7TLzGg
1oA5teAxQE6Eo8ySSeIXbP7wZB76urwlh51PIbrJZjkDjdQVELh7OlTP1WO6T/Hf6BsEfeFcpoa1
e+MW/lw0VetTPPHQ15HYKYP2WYohHxzDiC+QUwE7UZVBlp9cXIpwHuDzSibc5RG3z0n/j2SQCx0D
k5FMAUErAgMBAAGjggGmMIIBojASBgNVHRMBAf8ECDAGAQH/AgEAMA4GA1UdDwEB/wQEAwIBhjB5
BggrBgEFBQcBAQRtMGswJAYIKwYBBQUHMAGGGGh0dHA6Ly9vY3NwLmRpZ2ljZXJ0LmNvbTBDBggr
BgEFBQcwAoY3aHR0cDovL2NhY2VydHMuZGlnaWNlcnQuY29tL0RpZ2lDZXJ0QXNzdXJlZElEUm9v
dENBLmNydDCBgQYDVR0fBHoweDA6oDigNoY0aHR0cDovL2NybDMuZGlnaWNlcnQuY29tL0RpZ2lD
ZXJ0QXNzdXJlZElEUm9vdENBLmNybDA6oDigNoY0aHR0cDovL2NybDQuZGlnaWNlcnQuY29tL0Rp
Z2lDZXJ0QXNzdXJlZElEUm9vdENBLmNybDA9BgNVHSAENjA0MDIGBFUdIAAwKjAoBggrBgEFBQcC
ARYcaHR0cHM6Ly93d3cuZGlnaWNlcnQuY29tL0NQUzAdBgNVHQ4EFgQU8CHpSXdzn4WuGDvoUnAU
Bu1C7sowHwYDVR0jBBgwFoAUReuir/SSy4IxLVGLp6chnfNtyA8wDQYJKoZIhvcNAQELBQADggEB
ADrCGyv+Y967YbS5R6j8fAWxJiAiUZvIPfn1xVgesF6jspwCQY8xGn/MG04d+Jh97I8I/Xfx29JE
EFq2rQmw4PxiO9RiDZ7xoDxNd4rrRDR7jrtOKQP8J+o+ah0vSOP62hnD/zPS7NRMtIyVS2G277KA
L5fIR62ngr984fmJghDv0bsjGAmeu3EP0xhUsDJT61IoAGoKBnxBPAeg3WXsdSm4Gn7btyvakeyF
tYebr2KmOBSa28PRqGSDur56aZhJoM2eMzc6prmvGwwtAzRsc5t2OsKRuHWV6O3anP2K27jGZR2b
i1VX1NQUvIbpVNTuwjm+XcZtsa/AAJF9KGkEseAwggVVMIIEPaADAgECAhAG1cPl1/fJDLWD4dHo
RH0nMA0GCSqGSIb3DQEBCwUAMGkxCzAJBgNVBAYTAk5MMRYwFAYDVQQIEw1Ob29yZC1Ib2xsYW5k
MRIwEAYDVQQHEwlBbXN0ZXJkYW0xDzANBgNVBAoTBlRFUkVOQTEdMBsGA1UEAxMUVEVSRU5BIFBl
cnNvbmFsIENBIDMwHhcNMTkwNjExMDAwMDAwWhcNMjIwNjExMTIwMDAwWjCBgDELMAkGA1UEBhMC
QkUxDTALBgNVBAcTBE1vbnMxHDAaBgNVBAoME1VuaXZlcnNpdMOpIGRlIE1vbnMxJTAjBgNVBAsM
HFNlcnZpY2UgZCdBbmFseXNlIE51bcOpcmlxdWUxHTAbBgNVBAMTFENocmlzdG9waGUgVHJvZXN0
bGVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA0g3efZJ9DFJmzfdxVWG0+nr2vl6X
r4rO+Rhwh/DtzPLDAIMuB3V7mmsOH/NEBdcPSexhOU2yx/BKsrqgE25gp9I76JV7Qt6s2Fq00qTm
3zc0uux6vr97daw6FK/ttlje3jtvXr2fV2veqWmoiF1FJMan6fxMU5khAoClrm6G6tMatX4rfeFy
k3aQlYdn5Hl6okQFHSAAUhHcQulU7c/COesg157MX3+ERHTe9BX5hIrb56PI7RoFoaUmEAuibKbv
w/RZn3DxUDDF7YxI4S43jNUxdHehTlNN42OksXaN6mBtluSMMDbyh/UuMOySZCvTDKsX+zvEIguL
wYDKC4N4kwIDAQABo4IB3zCCAdswHwYDVR0jBBgwFoAU8CHpSXdzn4WuGDvoUnAUBu1C7sowHQYD
VR0OBBYEFJC8wXFfdCKCn7ra5DtAq5ai0/0KMAwGA1UdEwEB/wQCMAAwKwYDVR0RBCQwIoEgQ2hy
aXN0b3BoZS5Ucm9lc3RsZXJAdW1vbnMuYWMuYmUwDgYDVR0PAQH/BAQDAgWgMB0GA1UdJQQWMBQG
CCsGAQUFBwMCBggrBgEFBQcDBDBDBgNVHSAEPDA6MDgGCmCGSAGG/WwEAQIwKjAoBggrBgEFBQcC
ARYcaHR0cHM6Ly93d3cuZGlnaWNlcnQuY29tL0NQUzB1BgNVHR8EbjBsMDSgMqAwhi5odHRwOi8v
Y3JsMy5kaWdpY2VydC5jb20vVEVSRU5BUGVyc29uYWxDQTMuY3JsMDSgMqAwhi5odHRwOi8vY3Js
NC5kaWdpY2VydC5jb20vVEVSRU5BUGVyc29uYWxDQTMuY3JsMHMGCCsGAQUFBwEBBGcwZTAkBggr
BgEFBQcwAYYYaHR0cDovL29jc3AuZGlnaWNlcnQuY29tMD0GCCsGAQUFBzAChjFodHRwOi8vY2Fj
ZXJ0cy5kaWdpY2VydC5jb20vVEVSRU5BUGVyc29uYWxDQTMuY3J0MA0GCSqGSIb3DQEBCwUAA4IB
AQBDFAZp4LYKufe82+j2siZSD7xuamgF7FRyzMbTdX8iwsalToZlfjcXFbIB5GBnGu4bS6yWMhUN
U56tLfS1aviZi5sHbWDnjECV6P+Kc4caXP1a1Tyx9ox2Ix9KuG+1gkSb+JGGWFkKjEaKAljKZY1G
D9XDgAIiHGq7q1i6gglLNAwYiNxc37s+uHT2Ga9F4kJNi7ABK000+8I7rmC06Dz4FokEgYnFHgp6
dt+UASRBtV1bZLXpAADu/KjXX2jojYzUWgYGh3yB8Ye5jRpBw2u5bEG+huzLc5hQcT5avm/QK6/B
FiTKLfcEqs3jkOC7FAF5NL4q/8xg1GaI22ALW13XMYICPjCCAjoCAQEwfTBpMQswCQYDVQQGEwJO
TDEWMBQGA1UECBMNTm9vcmQtSG9sbGFuZDESMBAGA1UEBxMJQW1zdGVyZGFtMQ8wDQYDVQQKEwZU
RVJFTkExHTAbBgNVBAMTFFRFUkVOQSBQZXJzb25hbCBDQSAzAhAG1cPl1/fJDLWD4dHoRH0nMA0G
CWCGSAFlAwQCAQUAoIGTMBgGCSqGSIb3DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkFMQ8X
DTE5MTAxNzIyMDYxN1owKAYJKoZIhvcNAQkPMRswGTALBglghkgBZQMEAQIwCgYIKoZIhvcNAwcw
LwYJKoZIhvcNAQkEMSIEIK6LgKmcA9sGfbchCwYxJEaKsQ4TOkG2vF0nb6AibGmcMA0GCSqGSIb3
DQEBAQUABIIBAJK/1CZCp41z7C6upXlCF715rd5ohE2Cx7CIpJOFHd1djQTghPQsoa0SiGdHXrYq
91LRKiii1Xejc0u7tSw28awC4Dr2G1PqDaQQIHOtqLsA53PkJV62tW2kzMRCl34Iw0aF2vWryGn5
NgU5xb3AdR88gcxAO8tIyOqWlUi4kpYX4gOaAkLEVHLxf+Q5RzpCvDVq9WHPt3iAnREiurj+tJbV
xcZ/bmADzoX+p8fb4I40DCPcyu9A5oNNTpgDcOevyfCVwt/L82jBBhxNEUtpvEydLlCG8XDTkUh1
x/JFL2KVvSyanGVA3oK/jJWdQA2pu5kjVIRBP9jxiaxz8T+zvVEAAAAAAAA=

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36222; Package emacs. Full text available.

Message received at 36222 <at> debbugs.gnu.org:


Received: (at 36222) by debbugs.gnu.org; 22 Sep 2019 21:50:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 17:50:23 2019
Received: from localhost ([127.0.0.1]:34594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iC9kN-0007e8-Ie
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 17:50:23 -0400
Received: from quimby.gnus.org ([80.91.231.51]:47200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iC9kM-0007dz-4u
 for 36222 <at> debbugs.gnu.org; Sun, 22 Sep 2019 17:50:22 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iC9kI-0002r5-2R; Sun, 22 Sep 2019 23:50:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>
Subject: Re: bug#36222: 26.1; Message sent even with invalid S/MIME password
References: <87tvcrgq4y.fsf@HIDDEN>
Date: Sun, 22 Sep 2019 23:50:17 +0200
In-Reply-To: <87tvcrgq4y.fsf@HIDDEN> (Christophe TROESTLER's
 message of "Sat, 15 Jun 2019 09:21:52 +0000")
Message-ID: <87woe0rofa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Christophe TROESTLER <Christophe.TROESTLER@HIDDEN> writes:
    > I am digitally signing emails with S/MIME (because that's what my > colleagues
    support) using the default configuration (that is “gpgsm” > through EasyPG)
    and it works well. However, I got the s [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36222
Cc: 36222 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Christophe TROESTLER <Christophe.TROESTLER@HIDDEN> writes:

> I am digitally signing emails with S/MIME (because that's what my
> colleagues support) using the default configuration (that is =E2=80=9Cgpg=
sm=E2=80=9D
> through EasyPG) and it works well.  However, I got the surprise that,
> if I cancel the dialog box asking for the password (my S/MIME
> certificate is password protected), then the message is sent (with an
> invalid S/MIME attachment)!  Returning to editing the message would be
> a better behavior in this case.

I'm not very familiar with how S/MIME works.

How do you ask Message to send with S/MIME?  Using the `C-c C-m C s'
command?  And how do you set up the S/MIME recipient stuff?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36222; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jun 2019 09:22:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 05:22:26 2019
Received: from localhost ([127.0.0.1]:38326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hc4tF-0005UM-K0
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2019 05:22:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:46290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Christophe.TROESTLER@HIDDEN>)
 id 1hc4tC-0005UA-2I
 for submit <at> debbugs.gnu.org; Sat, 15 Jun 2019 05:22:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59711)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <Christophe.TROESTLER@HIDDEN>)
 id 1hc4t9-0006hT-Uh
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jun 2019 05:22:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 RECEIVED_FROM_WINDOWS_HOST,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Christophe.TROESTLER@HIDDEN>)
 id 1hc4t7-00057C-L5
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jun 2019 05:22:19 -0400
Received: from mail-eopbgr130071.outbound.protection.outlook.com
 ([40.107.13.71]:13853 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Christophe.TROESTLER@HIDDEN>)
 id 1hc4t3-0004mz-K9
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jun 2019 05:22:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=alumniumonsac.onmicrosoft.com; s=selector2-alumniumonsac-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=OhDQ878s72T/RhMdWiXnZ3ZDLAAw8QSz3Wb1KklXmNQ=;
 b=jnM6bPvkJOWXiIzylLtD7475IL4K0rhJ1NfnXLoEKPHFIRfZE174jgpreNlyKVPnexdtVml42l1BTFyn3ckt1PqSsoqT91EHYJ3cQuwC7pljvuqoaB9lzZ3+o1+rIDhaVd5IPi+oo45ZL4GJGB0/vnes9lTgzfTWt4qcK5NNhZE=
Received: from HE1PR01MB3932.eurprd01.prod.exchangelabs.com (20.176.162.153)
 by HE1PR01MB2956.eurprd01.prod.exchangelabs.com (10.170.254.28) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.1965.16; Sat, 15 Jun
 2019 09:21:52 +0000
Received: from HE1PR01MB3932.eurprd01.prod.exchangelabs.com
 ([fe80::e179:c3e4:3a21:134d]) by HE1PR01MB3932.eurprd01.prod.exchangelabs.com
 ([fe80::e179:c3e4:3a21:134d%6]) with mapi id 15.20.1987.013; Sat, 15 Jun 2019
 09:21:52 +0000
From: Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 26.1; Message sent even with invalid S/MIME password
Thread-Topic: 26.1; Message sent even with invalid S/MIME password
Thread-Index: AQHVI1vEhS4ECh/nMkqxoNFff0ueFA==
Date: Sat, 15 Jun 2019 09:21:52 +0000
Message-ID: <87tvcrgq4y.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-originating-ip: [2a02:a03f:4454:4b00:ac8:68d8:97d2:edf0]
x-clientproxiedby: AM0PR05CA0058.eurprd05.prod.outlook.com
 (2603:10a6:208:be::35) To HE1PR01MB3932.eurprd01.prod.exchangelabs.com
 (2603:10a6:7:97::25)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=Christophe.TROESTLER@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 6912adf0-437f-41ff-e1ce-08d6f172e6a1
x-microsoft-antispam: BCL:0; PCL:0;
 RULEID:(2390118)(7020095)(4652040)(8989299)(4534185)(4627221)(201703031133081)(201702281549075)(8990200)(5600148)(711020)(4605104)(1401327)(2017052603328)(49563074)(7193020);
 SRVR:HE1PR01MB2956; 
x-ms-traffictypediagnostic: HE1PR01MB2956:
x-microsoft-antispam-prvs: <HE1PR01MB2956AF55B1A2166160C93580CEE90@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:849;
x-forefront-prvs: 0069246B74
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(366004)(396003)(346002)(39830400003)(376002)(136003)(189003)(199004)(5660300002)(6486002)(74482002)(6916009)(53936002)(626008)(99286004)(6512007)(8676002)(68736007)(86362001)(2501003)(46003)(305945005)(25786009)(786003)(7736002)(71200400001)(316002)(14454004)(30864003)(5024004)(14444005)(6116002)(8936002)(256004)(72206003)(81156014)(81166006)(5640700003)(186003)(2351001)(71190400001)(99936001)(478600001)(73956011)(66946007)(66446008)(64756008)(66556008)(66476007)(66616009)(6436002)(486006)(476003)(15650500001)(386003)(6506007)(102836004)(52116002)(2906002);
 DIR:OUT; SFP:1101; SCL:1; SRVR:HE1PR01MB2956;
 H:HE1PR01MB3932.eurprd01.prod.exchangelabs.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:0; 
received-spf: None (protection.outlook.com: umons.ac.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam-message-info: Dk/EES1UHQNrM5jvfb5tvmYhVL8H0+t54R9/rJd99R6DdgqmO2Q3K/ehWSzW8pDiUzFtlhFmWu0nxLcxQYkuaK3ej9J9FzgceQAS7LMOSQcUxqZYNTkdyKIsDCrRRsOKrgvmabopXDDmE/sg69d2hh51YMW+aSoMVA4Fhrwf5lujkuAZEWopssy9jBQpbdZ5Tb6IwOui+mU/RGrYz12ZcNtZGuylB53Zidp34stM2OlPXt2wo3FNO+HRxmEV6XbjTzsjE7/rItFs1+Yi5i+yIFJmvoH35C4ShItyd7DmnWde8Xlbjd1+zRrRJ2wFP8R3+FArdfXQDiUXxmoReCGrzKQQvqSizE0/Dq6f5BjBB3wQBA3XDSQgxWfO8XYK6o4ocBxhpT6oBSJEHzfMzSzz3q95qRkgX5ZVJT5vrlZHsI0=
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=sha256; protocol="application/pkcs7-signature"
MIME-Version: 1.0
X-OriginatorOrg: umons.ac.be
X-MS-Exchange-CrossTenant-Network-Message-Id: 6912adf0-437f-41ff-e1ce-08d6f172e6a1
X-MS-Exchange-CrossTenant-originalarrivaltime: 15 Jun 2019 09:21:52.2045 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 488bed9d-d6a7-48d5-ba1f-ebec3823b357
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 501049@HIDDEN
X-MS-Exchange-Transport-CrossTenantHeadersStamped: HE1PR01MB2956
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-Received-From: 40.107.13.71
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Hi,

I am digitally signing emails with S/MIME (because that's what my colleague=
s support) using the default configuration (that is =E2=80=9Cgpgsm=E2=80=9D=
 through EasyPG) and it works well.  However, I got the surprise that, if I=
 cancel the dialog box asking for the password (my S/MIME certificate is pa=
ssword protected), then the message is sent (with an invalid S/MIME attachm=
ent)!  Returning to editing the message would be a better behavior in this =
case.

Best regards,
C.


In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)
 of 2019-02-03, modified by Debian built on zam904
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description:	Debian GNU/Linux 10 (buster)

Recent messages:
Grep finished with 4 matches found
Mark set
completing-read-default: Command attempted to use minibuffer while in minib=
uffer
Grep finished with 5 matches found
Making completion list... [3 times]
Quit
Undo!
Mark saved where search started
Page has 2121 lines (1596 + 525)
C-x C-g is undefined

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
 --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs-26.1+1=3D. -fstack-protector-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: mu4e-headers

Minor modes in effect:
  TeX-PDF-mode: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  desktop-save-mode: t
  hl-line-mode: t
  show-paren-mode: t
  global-edit-server-edit-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
~/software/OCaml/dune/editor-integration/emacs/dune-flymake hides /home/trc=
h/.opam/4.07.1/share/emacs/site-lisp/dune-flymake
~/software/OCaml/dune/editor-integration/emacs/dune hides /home/trch/.opam/=
4.07.1/share/emacs/site-lisp/dune
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/deb-view hides /usr/share/=
emacs/site-lisp/elpa/debian-el-37/deb-view
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-bug hides /usr/shar=
e/emacs/site-lisp/elpa/debian-el-37/debian-bug
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/apt-utils hides /usr/share=
/emacs/site-lisp/elpa/debian-el-37/apt-utils
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/preseed hides /usr/share/e=
macs/site-lisp/elpa/debian-el-37/preseed
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/apt-sources hides /usr/sha=
re/emacs/site-lisp/elpa/debian-el-37/apt-sources
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-autoloads hides /us=
r/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-el hides /usr/share=
/emacs/site-lisp/elpa/debian-el-37/debian-el
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-el-autoloads hides =
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-autoloads
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/gnus-BTS hides /usr/share/=
emacs/site-lisp/elpa/debian-el-37/gnus-BTS
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-el-pkg hides /usr/s=
hare/emacs/site-lisp/elpa/debian-el-37/debian-el-pkg
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/deb-view hides /usr/share/=
emacs/site-lisp/elpa-src/debian-el-37/deb-view
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/apt-utils hides /usr/share=
/emacs/site-lisp/elpa-src/debian-el-37/apt-utils
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/preseed hides /usr/share/e=
macs/site-lisp/elpa-src/debian-el-37/preseed
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-bug hides /usr/shar=
e/emacs/site-lisp/elpa-src/debian-el-37/debian-bug
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/apt-sources hides /usr/sha=
re/emacs/site-lisp/elpa-src/debian-el-37/apt-sources
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-autoloads hides /us=
r/share/emacs/site-lisp/elpa-src/debian-el-37/debian-autoloads
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-el hides /usr/share=
/emacs/site-lisp/elpa-src/debian-el-37/debian-el
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-el-autoloads hides =
/usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-autoloads
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/gnus-BTS hides /usr/share/=
emacs/site-lisp/elpa-src/debian-el-37/gnus-BTS
/home/trch/.emacs.d/elpa/debian-el-20181020.1513/debian-el-pkg hides /usr/s=
hare/emacs/site-lisp/elpa-src/debian-el-37/debian-el-pkg
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/26.1/lisp/textmodes/r=
st

Features:
(calc-alg calc-ext calc-menu calc calc-loaddefs calc-macs grep dabbrev
mhtml-mode css-mode eww mm-url url-queue url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf js cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs sgml-mode texmathp misearch multi-isearch view cal-china lunar
solar cal-dst cal-islam holidays hol-loaddefs cal-move shadow emacsbug
url-util timezone shr-color color shr svg dom smiley gnus-cite
mm-archive network-stream nsm starttls mailalias qp mail-extr sort
visual-fill-column face-remap latexenc org-rmail org-mhe org-irc
org-info org-gnus nnir org-docview org-bibtex org-bbdb org-w3m merlin-ac
auto-complete popup tuareg caml-help find-file flycheck json map
elec-pair vc-git reftex-auc preview prv-emacs tex-buf reftex-dcr reftex
reftex-loaddefs reftex-vars flyspell ispell latex latex-flymake
tex-ispell tex-style tex-mode font-latex tex dbus xml bibtex
dune-flymake flymake-proc flymake compile warnings dune skeleton smie
utop utop-minor-mode pcase merlin-cap merlin caml-types caml-emacs
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func imenu
magit-diff smerge-mode diff-mode magit-core magit-autorevert
magit-margin magit-transient magit-process magit-mode transient
git-commit magit-git magit-section magit-utils crm log-edit pcvs-util
add-log with-editor cl-extra async-bytecomp async shell subr-x dash
erc-goodies erc erc-backend erc-compat pp org-mu4e org-agenda
mu4e-icalendar gnus-icalendar org-capture mu4e-contrib mu4e desktop
frameset mu4e-speedbar speedbar sb-image ezimage dframe mu4e-main
mu4e-view thingatpt browse-url gnus-art mm-uu mml2015 mm-view mml-smime
smime dig mailcap gnus-sum gnus-group gnus-undo gnus-start gnus-cloud
nnimap nnmail mail-source tls gnutls utf7 netrc nnoo parse-time
gnus-spec gnus-int gnus-range gnus-win gnus nnheader wid-edit
mu4e-headers mu4e-compose mu4e-context mu4e-draft mu4e-actions ido
rfc2368 smtpmail sendmail mu4e-mark mu4e-message flow-fill mu4e-proc
mu4e-utils doc-view jka-compr image-mode mu4e-lists mu4e-vars message
rmc puny dired dired-loaddefs rfc822 mml mml-sec gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums mailabbrev mail-utils gmm-utils mailheader hl-line
mu4e-meta adoc-mode tempo markup-faces org-element avl-tree generator
org org-macro org-footnote org-pcomplete pcomplete org-list org-faces
org-entities noutline outline easy-mmode org-version ob-emacs-lisp ob
ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint comint
ansi-color ring ob-core ob-eval org-compat org-macs org-loaddefs
format-spec find-func epa-file epa derived epg cl quail help-mode
mm-util mail-prsvr autorevert filenotify edmacro kmacro paren icalendar
diary-lib diary-loaddefs cal-menu calendar cal-loaddefs edit-server
advice server finder-inf tex-site debian-el gh-common marshal
eieio-compat rx info package easymenu epg-config url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 795636 114743)
 (symbols 48 67643 1)
 (miscs 40 4200 2699)
 (strings 32 237875 18898)
 (string-bytes 1 7206184)
 (vectors 16 84065)
 (vector-slots 8 2267996 182866)
 (floats 8 1389 1041)
 (intervals 56 11381 3762)
 (buffers 992 726))

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s
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--=-=-=--




Acknowledgement sent to Christophe TROESTLER <Christophe.TROESTLER@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36222; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.